<ng-container *ngIf="inGame && !countdown">
    <div class="game-wrapper">

        <div class="top-container">
            <button mat-flat-button matTooltip="Leave game" (click)="leaveGame()">
                <mat-icon>arrow_back</mat-icon>
                Leave Game
            </button>
            <button 
                mat-flat-button 
                matTooltip="Copy game url to clipboard"
                [cdkCopyToClipboard]="copyToClipboard()">
                <mat-icon>content_copy</mat-icon>
                Copy game url
            </button>
        </div>

        <div class="avatar-container">
            <ng-container *ngFor="let player of players$ | async">
                <app-avatar
                    *ngIf="(game.state=='lobby') || (game.playersInRound.includes(player.id))"
                    [name]="player.name"
                    [choice]="player.choice" 
                    [showChoice]="(game.state=='result')|| (game.state=='draw')"
                    [ready]="game.playersSelected.includes(player.id) && game.state=='select'"
                    [result]="player.result">
                </app-avatar>
            </ng-container>
        </div>
        <div class="control-container" >
            <ng-container *ngIf="(game.state=='select') && (game.playersInRound.includes(playerId))">
                <button
                    [disabled]="game.playersSelected.includes(playerId)" 
                    (click)="setChoice('rock')" 
                    mat-fab 
                    color="primary">
                    <img src="assets/images/rock.png">
                </button>
                <button 
                    [disabled]="game.playersSelected.includes(playerId)" 
                    (click)="setChoice('paper')" 
                    mat-fab 
                    color="primary">
                    <img src="assets/images/paper.png">
                </button>
                <button 
                    [disabled]="game.playersSelected.includes(playerId)" 
                    (click)="setChoice('scissors')" 
                    mat-fab 
                    color="primary">
                    <img src="assets/images/scissors.png">
                </button>
            </ng-container>
            
            <button 
                *ngIf="game.state=='lobby'" 
                mat-flat-button color="primary" 
                (click)="startGame()" 
                [disabled]="this.players.length < 2">
                Start Game
            </button>
        </div>

        
    </div>
</ng-container>

<ng-container *ngIf="!inGame">
    <div class="join-container">
    <form [formGroup]="joinForm">
    
        <app-avatar name="{{name}}"></app-avatar>
        <mat-form-field appearance="outline">
            <mat-label>Name</mat-label>
            <input matInput [(ngModel)]="name" formControlName="name">
        </mat-form-field>
        <button mat-flat-button color="primary" [disabled]="!joinForm.valid" (click)="joinGame()">
            Join Game now!
        </button>
    
    </form>
    </div>
</ng-container>

<ng-container *ngIf="countdown && inGame">
    <div class="countdown-container">
        <span class="counter">{{ countdownCounter }}</span>
    </div>
</ng-container>